package com.muyu.marketing.domain.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.marketing.domain.req.ActivityTeamOpenInfoAdReq;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 团购策略类型模板
 *
 * @author CuiFu Bo
 * @create 2024-12-01 20:24
 **/

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ActivityTeamOpenInfoAddModel {
    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private long id;
    /**
     * 团购活动ID
     */
    private long teamId;
    /**
     * 团购类型
     */
    private String teamType;
    /**
     * 团购策略
     */
    private String teamStrategyId;
    /**
     * 参团类型
     */
    private String executiveType;
    /**
     * 结束团购时间
     */
    private Date endTime;
    /**
     * 商品ID
     */
    private String productId;
    /**
     * 商品名称
     */
    private String productName;
    /**
     * 商品规格
     */
    private String productSku;
    /**
     * 开团标识
     */
    private String key;
    /**
     * 订单ID
     */
    private String orderId;
    /**
     * 开团状态
     */
    private String status;

    public static ActivityTeamOpenInfoAddModel addOpenBuild(ActivityTeamOpenInfoAdReq activityTeamOpenInfoAdReq){
        return ActivityTeamOpenInfoAddModel.builder()
                .id(activityTeamOpenInfoAdReq.getId())
                .teamId(activityTeamOpenInfoAdReq.getTeamId())
                .teamType(activityTeamOpenInfoAdReq.getTeamType())
                .teamStrategyId(activityTeamOpenInfoAdReq.getTeamStrategyId())
                .executiveType(activityTeamOpenInfoAdReq.getExecutiveType())
                .endTime(activityTeamOpenInfoAdReq.getEndTime())
                .productId(activityTeamOpenInfoAdReq.getProductId())
                .productName(activityTeamOpenInfoAdReq.getProductName())
                .productSku(activityTeamOpenInfoAdReq.getProductSku())
                .key(activityTeamOpenInfoAdReq.getKey())
                .orderId(activityTeamOpenInfoAdReq.getOrderId())
                .status(activityTeamOpenInfoAdReq.getStatus())
                .build();
    }
}
